osl::search::MoveMarker Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | Private Types | Private Attributes | List of all members
osl::search::MoveMarker Class Reference

`#include <moveGenerator.h>`

Collaboration diagram for osl::search::MoveMarker:
[legend]

## Public Member Functions
| MoveMarker ()
void | clear ()
void | registerMove (const NumEffectState &state, Move m)
bool | registerIfNew (const NumEffectState &state, Move m)
bool | registered (const NumEffectState &state, Move m) const

## Static Public Member Functions
static unsigned int | pieceIndex (const NumEffectState &state, Move m)
static unsigned int | toIndex (Move m)

## Private Types
typedef uint8_t | value_t

## Private Attributes
CArray2d< value_t, Offset::BOARD_HEIGHT *9, Piece::SIZE *2+PTYPE_SIZE > | marker
value_t | cur

## Detailed Description

Definition at line 25 of file moveGenerator.h.

## Member Typedef Documentation

typedef uint8_t osl::search::MoveMarker::value_t
| private

Definition at line 27 of file moveGenerator.h.

## Constructor & Destructor Documentation

osl::search::MoveMarker::MoveMarker | ( | ) |  |

Definition at line 116 of file moveGenerator.cc.

References marker.

## Member Function Documentation

void osl::search::MoveMarker::clear | ( | ) |  |

Definition at line 122 of file moveGenerator.cc.

static unsigned int osl::search::MoveMarker::pieceIndex | ( | const NumEffectState & | state,
|  | Move | m
| ) |  |
| inlinestatic

Definition at line 33 of file moveGenerator.h.

References osl::Move::from(), osl::Move::isDrop(), osl::Move::isPass(), osl::Move::isPromotion(), osl::Move::ptype(), and osl::Piece::SIZE.

Referenced by registerMove().

bool osl::search::MoveMarker::registered | ( | const NumEffectState & | state,
|  | Move | m
| ) |  | const

Definition at line 142 of file moveGenerator.cc.

bool osl::search::MoveMarker::registerIfNew | ( | const NumEffectState & | state,
|  | Move | m
| ) |  |

Definition at line 132 of file moveGenerator.cc.

void osl::search::MoveMarker::registerMove | ( | const NumEffectState & | state,
|  | Move | m
| ) |  |
| inline

Definition at line 46 of file moveGenerator.h.

References cur, marker, pieceIndex(), and toIndex().

Referenced by osl::search::MoveGenerator::registerMove().

static unsigned int osl::search::MoveMarker::toIndex | ( | Move | m) |  |
| inlinestatic

Definition at line 42 of file moveGenerator.h.

References osl::Square::index(), osl::Square::onBoardMin(), and osl::Move::to().

Referenced by registerMove().

## Member Data Documentation

value_t osl::search::MoveMarker::cur
| private

Definition at line 29 of file moveGenerator.h.

Referenced by registerMove().

CArray2d<value_t,Offset::BOARD_HEIGHT*9,Piece::SIZE*2+PTYPE_SIZE> osl::search::MoveMarker::marker
| private

Definition at line 28 of file moveGenerator.h.

Referenced by MoveMarker(), and registerMove().

The documentation for this class was generated from the following files:

- moveGenerator.h
- moveGenerator.cc